@import "src/assets/styles/00-settings/settings";

.main-content {
  display: flex;
  justify-content: center;

  .form {
    background-color: rgba($color-blue, 0.2);
    display: flex;
    justify-content: center;
    align-items: center;
    flex-direction: column;
    width: 70%;
    max-width: 1000px;
    margin: auto 0;
    padding: 20px;
    border-radius: 5px;
    -webkit-box-shadow: $default-shadow;
    box-shadow: $default-shadow;

    .mat-form-field {
      width: 70%;
    }

    .event-form {
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: space-between;
      width: 50%;

      .mat-form-field {
        width: 24%;
      }
    }

    .previewImg {
      margin: 30px 0;
      max-width: 50vw;
      max-height: 30vh;
      border-radius: 4px;
      -webkit-box-shadow: $default-shadow;
      box-shadow: $default-shadow;
    }
  }
}

@media screen and (max-width: $M) {
  .main-content {
    grid-template: auto auto / 100%;
    overflow-y: auto !important;

    form {
      padding: 0;
      height: auto;
    }

    .content-image {
      grid-column: 1;
      background: none;
      padding-bottom: 25px;

      button {
        &:hover {
          background-color: $color-blue;
        }
      }
    }
  }
}
